MSER(1)

NAME
mser - Maximally Stable Extremal Regions

SYNOPSIS
mser [options] FILE ...

OPTIONS

-v, --verbose
    Increase verbosity level (may be repeated).

-h, --help
    Show options and version.

--seeds[=FILESPEC]
    Enable/specify seeds output.

--frames[=FILESPEC]
    Enable/specify frames output.

--meta[=FILESPEC]
    Enable/specify meta output.

-d REAL, --delta=REAL
    Specify delta parameter.

--min-area=REAL
    Specify minimum region area.

--max-area=REAL
    Specify maximum region area.

--max-variation=REAL
    Specify maximum region variation.

--min-diversity=REAL
    Specify minimum region diversity.

DESCRIPTION
mser computes the Maximally Stable Extremal Regions (MSER) . In the simplest case, mser reads an image file (in PGM format), computes the MSERs, and writes them to a file of region seeds. Alternatively, the --frames option can be used to compute elliptical frames instead of region seeds. It is also possible to use --frames and --seeds in combination to save both seeds and frames.

A region seed is and index pointing to one of the image pixels (pixels are enumerated in row major order, with 0 corresponding to the upper-left corner of the image). An MSER containing a given seed is the largest connect subset of pixels whose value is not smaller than the seed value.

A frame is an ellipse approximating an MSER and is specified by 5 floating point numbers: coordinate of the center x and y, and elements S11, S12, S22 of the co-variance matrix.

Both seeds and frames can be saved either in ascii or binary format, based on the specified FILESPECs (see also vlfeat(7)):

Ascii format
    Each seed is a decimal number, one per line of text, and each frame is a list of 6 floating point numbers, one per line of text.

Binary format
    The binary format is similar to the ascii format, except that each seed is stored as a unsigned integer (four bytes) and each frame component is stored as an IEEE double (eight bytes). The data is written in little endian order.

mser can process multiple images. In this case the names of the corresponding output files are calculated based on FILESPECs.

EXAMPLES

mser test.pgm -d 5
    Computes the MSERs of image test.pgm setting the parameter delta to 5 and save the result as a sequence of region seeds to test.mser.

mser test.pgm --frames
    Computes the MSERs of image test.pgm, fits elliptical frames to them and saves the frames to test.frame.

mser test.pgm --frames=bin:///tmp/%.frame --seeds
    Computes the MSERs of image test.pgm, fits elliptical frames to them and saves the frames to /tmp/test.frame and the region seeds to test.mser.

SEE ALSO

vlfeat(7)

J. Matas, O. Chum, M. Urban, and T. Pajdla. Robust wide baseline stereo from maximally stable extremal regions. In Proc. BMVC, 2002.